Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358740 - Docs: Describe additional 3.6 -> 4.0 upgrade steps around extensions and external CA
Summary: Docs: Describe additional 3.6 -> 4.0 upgrade steps around extensions and exte...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Documentation
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ---
: ---
Assignee: bugs@ovirt.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 11:56 UTC by Martin Perina
Modified: 2016-09-11 13:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-25 01:21:22 UTC
oVirt Team: Infra
mperina: ovirt-4.0.z?
mperina: planning_ack?
mperina: devel_ack?
mperina: testing_ack?


Attachments (Terms of Use)

Description Martin Perina 2016-07-21 11:56:33 UTC
Description of problem:

Following parts are new to regular upstream upgrade process:

1. If users need to use engine-backup to upgrade from 3.6 on Centos 6 to 4.0 on Centos 7 and they used optional extensions (ovirt-engine-extension-aaa-ldap, ovirt-engine-extension-aaa-misc, ovirt-engine-extension-logger-log4j) in 3.6, then they need to install those extensions manually on the new Centos 7 host prior to execution of engine-setup (engine-backup copies configuration files of those extensions from 3.6, but if corresponding RPMs are not installed then we may have issues after starting up the engine).

2. If users used external CA to sign HTTPS certificate, they should follow steps described in BZ1336838, otherwise they won't be able to login to webadmin/userportal after upgrade

3. If users used external CA to sign  HTTPS certificate, they need to ensure this CA certificate is added to system wide trust stores of all clients, otherwise foreign menu of virt-viewer will not work anymore (details in BZ1313379)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.